<?php

namespace App\Models;

use App\Traits\Uuid;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class KegiatanPeserta extends Model
{
    use HasFactory;
    use Uuid;

    public $incrementing = false;
    protected $table = 'kegiatan_peserta';
    protected $keyType = 'string';

    protected $fillable = [
        'id',
        'id_registrasi',
        'id_kegiatan',
        'id_konferensi',
        'id_anggota'
    ];

    public function rRegistrasi() {
        return $this->belongsTo(Registrasi::class, 'id_registrasi', 'id');
    }

    public function rKegiatanPeserta() {
        return $this->belongsTo(Kegiatan::class, 'id_kegiatan', 'id');
    }

    public function rKonferensiPeserta() {
        return $this->belongsTo(Konferensi::class, 'id_konferensi', 'id');
    }

    public function rAnggota(){
        return $this->belongsTo(Anggota::class, 'id_anggota', 'id');
    }
}
